Bug 179921 - KDE 4.1.4, context menu - paste file option is always grayed out
Summary: KDE 4.1.4, context menu - paste file option is always grayed out
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 4.1
Platform: Compiled Sources Unspecified
: NOR normal
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-07 17:44 UTC by Bartek Iwaniec
Modified: 2009-01-12 20:18 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Iwaniec 2009-01-07 17:44:51 UTC
Version:            (using Devel)
Installed from:    Compiled sources

In KDE 4.1.4 the paste file option in context menu is always grayed out. The issue exists in any KDE file manager (dolphin/konqueror) and in plasmoids e.g. folderview so i suspect its general kde bug not connected with specific file manager. The only way to copy&paste file is to drag and drop it.

Distro: Archlinux
KDE packages are from KDEMod project - http://chakra-project.org/
Qt - 4.4.3
Comment 1 Nicky726 2009-01-07 18:09:39 UTC
Confirmed on Arch Linux, KDEmod 4.1.3, i686
Comment 2 Lukas Appelhans 2009-01-07 18:18:00 UTC
@Nicky726: I guess that's 4.1.4 when you are on latest packages =)

Lukas
Comment 3 Nicky726 2009-01-07 18:23:52 UTC
(In reply to comment #2)
> @Nicky726: I guess that's 4.1.4 when you are on latest packages =)
> 
> Lukas
> 

Ups, sorry 4.1.4 sure. I just got kinda confused.
Comment 4 George Kiagiadakis 2009-01-10 00:56:44 UTC
What happens if you right click->copy and then directly try to right click->paste in the same directory? I have noticed similar problems in the past (especially before 4.1.0) but in my case it only happened if another action (like changing directory) was between copy and paste.
Comment 5 Bartek Iwaniec 2009-01-10 20:41:20 UTC
(In reply to comment #4)
> What happens if you right click->copy and then directly try to right
> click->paste in the same directory? I have noticed similar problems in the past
> (especially before 4.1.0) but in my case it only happened if another action
> (like changing directory) was between copy and paste.
> 

The same thing happens -> paste is always unavailable.
Comment 6 David Faure 2009-01-12 18:40:15 UTC
Yep, confirmed. Works in 4.2/trunk, but not in 4.1.4.
Debugging it now.
Comment 7 David Faure 2009-01-12 20:18:54 UTC
SVN commit 910155 by dfaure:

Backport fix for copy and paste from trunk -- bad regression in 4.1.4!
BUG: 179921


 M  +5 -10     konqmimedata.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=910155